## Dessin de Parallel Coordinate Plot
## P. Cubaud <cubaud@cnam.fr> jan.2021

## definition de l'image
size(800,400) 
background(255) 

## generer des fausses donnees
N=50
P=6
data = pred = [[0]*P for i in range(N)]
for i in range(N):
    for j in range(P):
        data[i][j] = random(0,1)   ##noise(i,j) 

## dessiner les axes
x = 10 
strokeWeight(3) 
for j in range(P):
    line(x,0,x,width) 
    x += (width-20)/float(P-1) 

## dessiner les trajectoires de donnees
strokeWeight(1) 
noFill() 
stroke(0,100) 
for i in range(N):
  x=10 
  beginShape() 
  for j in range(P):
    y = map(data[i][j],0,1,height,0) 
    vertex(x,y) 
    x += (width-20)/float(P-1) 
  endShape()
save("pplot-"+str(P)+"-"+str(N)+".png") 